Bug 854324 - Enable multilanguage spelling for PSI 0.15
Enable multilanguage spelling for PSI 0.15
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 12:07 EDT by Artem S. Tashkinov
Modified: 2012-11-20 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-20 17:03:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Multilanguage spelling patch for PSI 0.15 (7.99 KB, patch)
2012-09-04 12:07 EDT, Artem S. Tashkinov
no flags Details | Diff
Chat window with two languages being spell checked on the fly (13.76 KB, image/png)
2012-09-04 12:08 EDT, Artem S. Tashkinov
no flags Details
Options window to set two spelling languages (43.54 KB, image/png)
2012-09-04 12:09 EDT, Artem S. Tashkinov
no flags Details

  None (edit)
Description Artem S. Tashkinov 2012-09-04 12:07:19 EDT
Created attachment 609737 [details]
Multilanguage spelling patch for PSI 0.15

The attached patch enables multilanguage spelling in PSI.

PSI *must* be built *without* enchant, otherwise this patch is useless.

(./configure --disable-enchant)

In order to enable this feature, you have to go to: Options -> Advanced -> options -> UI -> spell-check and edit the "langs" variable, adding two letters languages codes delimited by space.

E.g. to spell check Russian and English you have to set it to

"en ru" (without quotes)

Appropriate ASpell dictionaries have to be installed in advance.
Comment 1 Artem S. Tashkinov 2012-09-04 12:08:14 EDT
Created attachment 609738 [details]
Chat window with two languages being spell checked on the fly
Comment 2 Artem S. Tashkinov 2012-09-04 12:09:31 EDT
Created attachment 609739 [details]
Options window to set two spelling languages
Comment 3 Artem S. Tashkinov 2012-11-04 14:39:11 EST
OK, two months have passed and I see zero activity.

What should I do?
Comment 4 Artem S. Tashkinov 2012-11-19 18:58:27 EST
Ping.

Meanwhile I'm bookmarking http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Comment 5 Sven Lankes 2012-11-20 17:03:48 EST
My main question is this: Why should that patch be added to the fedora psi-package? 

This is clearly stuff that should be discussed with the psi upstream instead of a single downstream consumer of the code.

Other that that: As far as I understand enchant is the default spellchecker in fedora - disabling it doesn't sound like a good idea.

Note You need to log in before you can comment on or make changes to this bug.